## org.eclipse.emf.codegen.merge.java.facade.ast
Class ASTFacadeHelper.ASTRewriteWithRemove

    java.lang.Object
      org.eclipse.jdt.core.dom.rewrite.ASTRewrite
          org.eclipse.emf.codegen.merge.java.facade.ast.ASTFacadeHelper.ASTRewriteWithRemove

Enclosing class:
  ASTFacadeHelper

    public static class ASTFacadeHelper.ASTRewriteWithRemove

extends org.eclipse.jdt.core.dom.rewrite.ASTRewrite

Constructor Summary
`protected` `ASTFacadeHelper.ASTRewriteWithRemove(org.eclipse.jdt.core.dom.AST ast)`

Method Summary
`void` `dispose()` Disposes this ASTRewriteWithRemove
`void` `remove(org.eclipse.jdt.core.dom.ASTNode parent, org.eclipse.jdt.core.dom.ChildListPropertyDescriptor childProperty, org.eclipse.jdt.core.dom.ASTNode node)` Workaround method that removes nodes similar to `ASTRewrite.remove(ASTNode, org.eclipse.text.edits.TextEditGroup)`, but it allows removal of newly created and inserted nodes that were not a part of original tree.

Methods inherited from class org.eclipse.jdt.core.dom.rewrite.ASTRewrite
`create, createCopyTarget, createGroupNode, createMoveTarget, createStringPlaceholder, get, getAST, getExtendedSourceRangeComputer, getListRewrite, getNodeStore, getRewriteEventStore, remove, replace, rewriteAST, rewriteAST, set, setTargetSourceRangeComputer, toString, track`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTFacadeHelper.ASTRewriteWithRemove

    protected ASTFacadeHelper.ASTRewriteWithRemove(org.eclipse.jdt.core.dom.AST ast)

Method Detail

### dispose

    public void dispose()

  Disposes this ASTRewriteWithRemove

### remove

    public void remove(org.eclipse.jdt.core.dom.ASTNode parent,
                       org.eclipse.jdt.core.dom.ChildListPropertyDescriptor childProperty,
                       org.eclipse.jdt.core.dom.ASTNode node)

  Workaround method that removes nodes similar to `ASTRewrite.remove(ASTNode, org.eclipse.text.edits.TextEditGroup)`, but it allows removal of newly created and inserted nodes that were not a part of original tree.

  Note that `ASTRewrite.remove(ASTNode, org.eclipse.text.edits.TextEditGroup)` does not remove newly created nodes that have been inserted with `ListRewrite.insertFirst(ASTNode, org.eclipse.text.edits.TextEditGroup)` or similar methods.

  Workaround for https://bugs.eclipse.org/bugs/show_bug.cgi?id=164862

  Parameters:
    `parent` -
    `childProperty` -
    `node` -

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.